﻿@{
    ViewData["Title"] = "Viewer File";
}
<style>
    .leftFileMenu.active {
        background-color:white;
    }
    .leftFileMenu.active a {
        padding: 5px;
        color: #004b80!important;
    }
</style>
<script src="https://code.jquery.com/jquery-1.8.2.js"></script>
<script>
    function ViewDocument(file) {
        $("#loader").fadeIn();
        var data = { FileName: file };
        console.log(file);
        $.ajax({
            type: "POST",
            url: '/ThongTinYTe/OnPost',
            data: data,
            dataType: "text"
        }).done(function (data) {
            var folderName = file.replace(".", "_");
            $("#content").empty();
            $("#downloadFile").empty();
            @{
                    var base_url = Url.Content("~/Documents/");
            }
            for (var i = 1; i <= data; i++) {

                $("#content").append("<img src='" + @base_url + folderName + "/page-" + i + ".png'/>");
            }
            $("#downloadFile").append("<a class='btn btn-success' href='@base_url" + file +"' target='_blank'>Tải về</a>");
            $("#loader").fadeOut();
        })
    }
    function ViewPDF(file_name) {
        @{
            var url_c = Url.Content("ThongTinYTe/PhysicalLocation/");
            var base_url_attach = Url.Content("~/document/attachs/");
        }
        var url_f = "@url_c" + file_name;

        $("#leftAttach").empty();
        $("#rightAttach").empty();
        $("#loader").fadeIn();
        if (file_name == "011") {
            var file1 = "Theo mẫu 008-YTENBC.docx";
            var file2 = "Theo mẫu 009-YTENBC.xlsx";
            $("#leftAttach").append("<h4 style='font-weight:bold;padding-top:10px;color:red;'>Tải form mẫu đính kèm</h4>");
            $("#rightAttach").append("<a class='' href='@base_url_attach" + file1 + "' target='_blank'>Link tải: 1. "+file1+"</a></br>" +
                "<a class= '' href = '@base_url_attach" + file2 +"' target = '_blank' >Link tải: 2. "+file2+"</a > ");
        } else
        if (file_name == "008") {
            var file1 = "Theo mẫu 008-YTENBC.docx";
            $("#leftAttach").append("<h4 style='font-weight:bold;padding-top:10px;color:red;'>Tải form mẫu đính kèm</h4>");
            $("#rightAttach").append("<a class='' href='@base_url_attach" + file1 + "' target='_blank'>Link tải: 1. "+file1+"</a></br>" );
            }
        else
        if (file_name == "009") {

            var file2 = "Theo mẫu 009-YTENBC.xlsx";
            $("#leftAttach").append("<h4 style='font-weight:bold;padding-top:10px;color:red;'>Tải form mẫu đính kèm</h4>");
            $("#rightAttach").append(
                "<a class= '' href = '@base_url_attach" + file2 +"' target = '_blank' >Link tải: 1. "+file2+"</a > ");
        } else
        if (file_name == "002") {
            var file1 = "Theo mẫu 002-YTENBC.xlsx";

            $("#leftAttach").append("<h4 style='font-weight:bold;padding-top:10px;color:red;'>Tải form mẫu đính kèm</h4>");
            $("#rightAttach").append("<a class='' href='@base_url_attach" + file1 + "' target='_blank'>Link tải: 1. "+file1+"</a></br>"
               );
                    }
         if (file_name == "010") {
             var file1 = "Theo mẫu 010-YTENBC.xlsx";

             $("#leftAttach").append("<h4 style='font-weight:bold;padding-top:10px;color:red;'>Tải form mẫu đính kèm</h4>");
             $("#rightAttach").append("<a class='' href='@base_url_attach" + file1 + "' target='_blank'>Link tải: 1. "+file1+"</a></br>"
               );
        }
        $("#content iframe").attr("src", url_f + "#view=Fit");

        $('.leftFileMenu').removeClass('active');
        $("#lifile_" + file_name).addClass('active');

        $("#loader").fadeOut();
    }
</script>
<script type="text/javascript">
    $(window).load(function () {
        var file_name = "";
        $("#leftAttach").empty();
        $("#rightAttach").empty();
        var sidebarH = $("#sidebar").height();
        $("#content").css("height", sidebarH);
        $("#content iframe").css("height", sidebarH);
        $("#loader").fadeOut(1000);
        if (window.location.href.indexOf("#") > -1) {
            var url = window.location.href;
            var files = url.split("#");
            console.log(files[1].substring(0, 3));
            ViewPDF(files[1].substring(0, 3));

            $('.leftFileMenu').removeClass('active');
            $("#lifile_" + files[1].substring(0, 3)).addClass('active');
        } 
    });
</script>






<div class="wrapper d-flex  align-items-stretch">
    <nav id="sidebar" class="">
        <div class="custom-menu">
            <button type="button" id="sidebarCollapse" class="btn btn-primary">
                <i class="fa fa-bars"></i>
                <span class="sr-only">Toggle Menu</span>
            </button>
        </div>
        <div class="p-4">
            <h1><a href="index.html" class="logo">Danh sách</a></h1>
            <ul class="list-unstyled components mb-5">
                @if (ViewBag.lstFiles != null)
                {
                    @foreach (string file in ViewBag.lstFiles)
                    {
                        var id = file.Substring(0, 3);
                        <li id="lifile_@id" class="leftFileMenu">
                            <a class="" style="padding:5px;color:white;" id="file_@id" href="#@file" onclick="ViewPDF('@id')">@file</a>
                        </li>
                    }
                }
            </ul>
        </div>
    </nav>

    <div id="content1" class="ml-xl-5 ml-md-5 ml-3" style=" width: 100%; min-height: 100vh;">
        <div class="row">
            <div class="col-12">
                <div class="iq-card">
                     <div class="row">
                         <div class="col-8 left-attach" style="">
                             <h4 style="padding: 5px 10px;" class="title_news"><i class="fa fa-list-ul"></i> TRUNG TÂM Y TẾ TỔNG CÔNG TY<br />Điện thoại:(028) 38720077 nội bộ:1032<br />Bác sĩ: Đinh Thu Bình (di động: 0984.858.398)</h4>
                        </div>
                        <div class="col-4 right-attach">
                            <a href="https://docs.google.com/forms/d/1FfYUDBIF-ZH_cJBKHLBxf0ohITmi4P4JIt9H2yPVrm0/edit">  
                                <h4 style="padding-top: 25px;  color: #004b80; text-align: right" class="title_news">
                                    <!--https://cdn-aonfa.nitrocdn.com/tajHzjeZJUHiWEpwdnLMRomLAgtzGczy/assets/static/optimized/rev-d200b09/wp-content/uploads/Email-Gif.gif-->
                                    ĐÓNG GÓP Ý KIẾN
                                    <image style="  height:50px;" src="https://cdn.dribbble.com/users/320087/screenshots/1391703/024_cloud.gif" />
                                        
                                  
                                </h4> 
                            </a>
                        </div>
                    </div>
                    <div id="downloadFile" style="text-align:left;padding:10px">
                        <div class="row">
                            <div class="col-4 left-attach" id="leftAttach" style=""></div>
                            <div class="col-8 right-attach" id="rightAttach" style=""></div>
                        </div>
                    </div>
                    <div id="content" style="text-align:center; width:100%;">

                        <iframe style=" width: 100%; min-height: 100vh;" src="" title=""></iframe>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>